Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.configuration
Interface DomainMBean

public interface DomainMBean
extends TargetMBean

A WebLogic Domain.

A WebLogic Domain is a special target, the "Domain" target.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static long` | `CACHING_STUB_SVUID`
`static java.lang.String` | `CONFIG_CHANGE_AUDIT` Configuration Audit directed to Security Audit Framework.
`static java.lang.String` | `CONFIG_CHANGE_LOG` Configuration Audit directed to Server Log.
`static java.lang.String` | `CONFIG_CHANGE_LOG_AND_AUDIT` Configuration Audit directed to both Server Log and Security Audit Framework.
`static java.lang.String` | `CONFIG_CHANGE_NONE` Configuration Audit disabled.
`static java.lang.String` | `UPLOAD_DEFAULT`

Fields inherited from class weblogic.management.configuration.TargetMBean
`CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`int` | `getAdministrationPort()` The common secure administration port for the domain.
`int` | `getArchiveConfigurationCount()` Gets the archiveConfigurationCount attribute of the DomainMBean object
`java.lang.String` | `getConfigurationAuditType()` Returns the criteria used for auditing configuration change events : `CONFIG_CHANGE_NONE`.
`java.lang.String` | `getConfigurationVersion()` The release identifier for the configuration.
`java.lang.String` | `getConsoleContextPath()` Specifies the context path for the WLS console.
`int` | `getConsoleLogBufferHandlerCacheSize()` Return the console logfile cache size for this domain.
`java.lang.Object[]` | `getDisconnectedManagedServers()`
`weblogic.management.configuration.EmbeddedLDAPMBean` | `getEmbeddedLDAP()` Returns the embedded LDAP configuration for this domain.
`JTAMBean` | `getJTA()` Return the JTA configuration for this Domain.
`long` | `getLastModificationTime()` Return the last time this domain was updated.
`LogMBean` | `getLog()` Return the domain logfile configuration for this domain.
`java.lang.String` | `getRootDirectory()` Return the root directory for the domain.
`SecurityMBean` | `getSecurity()` Return the (old) security configuration for this domain.
`SecurityConfigurationMBean` | `getSecurityConfiguration()` Return the (new) security configuration for this domain.
`ServerMBean[]` | `getServers()` Returns the ServerMBeans representing the servers that have been configured to be part of this domain.
`SNMPAgentMBean` | `getSNMPAgent()` Return the SNMPAgentMBean for this domain.
`WTCServerMBean[]` | `getWTCServers()` Return the WTCServerMBeans for this Domain.
`boolean` | `isAdministrationMBeanAuditingEnabled()` Deprecated. Please use `DomainMBean.getConfigurationAuditType()`
`boolean` | `isAdministrationPortEnabled()` Indicates whether or not the administration port should be enabled for the domain.
`boolean` | `isClusterConstraintsEnabled()` Retrieves the attribute indicating whether strict cluster constraints are enforced or not for this domain.
`boolean` | `isConsoleEnabled()` Indicates whether the WLS console should be auto-deployed for this domain.
`boolean` | `isProductionModeEnabled()` Specifies whether all servers in this domain run in production mode.
`java.util.HashMap` | `kill()`
`void` | `setAdministrationMBeanAuditingEnabled(boolean choice)` Deprecated. Please use `DomainMBean.setConfigurationAuditType()`
`void` | `setAdministrationPort(int port)` Sets the administrationPort attribute of the DomainMBean object
`void` | `setAdministrationPortEnabled(boolean enable)` Sets the administrationPortEnabled attribute of the DomainMBean object
`void` | `setArchiveConfigurationCount(int count)` Sets the archiveConfigurationCount attribute of the DomainMBean object
`void` | `setAutoConfigurationSaveEnabled(boolean choice)` Sets the autoConfigurationSaveEnabled attribute of the DomainMBean object
`void` | `setClusterConstraintsEnabled(boolean enableClusterConstraints)` Sets the attribute indicating if strict cluster constraints need to be enforced on clustered deployments.
`void` | `setConfigurationAuditType(java.lang.String auditType)` Sets the criteria for auditing configuration change events : `CONFIG_CHANGE_NONE`.
`void` | `setConfigurationVersion(java.lang.String version)` Sets the configurationVersion attribute of the DomainMBean object
`void` | `setConsoleContextPath(java.lang.String ctx)` Sets the consoleContextPath attribute of the DomainMBean object
`void` | `setConsoleEnabled(boolean console)` Sets the consoleEnabled attribute of the DomainMBean object
`void` | `setConsoleLogBufferHandlerCacheSize(int size)` set the console log buffer cache size for this domain.
`void` | `setProductionModeEnabled(boolean productionModeEnabled)` Sets the value of the ProductionModeEnabled attribute.
`java.util.HashMap` | `start()` These operations are used to start and forceShutdown all the servers belonging to the Domain.

Methods inherited from interface weblogic.management.configuration.TargetMBean
`setDeployments`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getNotes, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

### UPLOAD_DEFAULT

    public static final java.lang.String UPLOAD_DEFAULT

### CONFIG_CHANGE_LOG

    public static final java.lang.String CONFIG_CHANGE_LOG

  Configuration Audit directed to Server Log.

### CONFIG_CHANGE_AUDIT

    public static final java.lang.String CONFIG_CHANGE_AUDIT

  Configuration Audit directed to Security Audit Framework.

### CONFIG_CHANGE_LOG_AND_AUDIT

    public static final java.lang.String CONFIG_CHANGE_LOG_AND_AUDIT

  Configuration Audit directed to both Server Log and Security Audit Framework.

### CONFIG_CHANGE_NONE

    public static final java.lang.String CONFIG_CHANGE_NONE

  Configuration Audit disabled.

Method Detail

### getLastModificationTime

    public long getLastModificationTime()

  Return the last time this domain was updated. This is guaranteed to be unique for a given transactional modification.

  Returns:
    The lastModificationTime value

### getSecurityConfiguration

    public SecurityConfigurationMBean getSecurityConfiguration()

  Return the (new) security configuration for this domain.

  Returns:
    The securityConfiguration value

### getSecurity

    public SecurityMBean getSecurity()

  Return the (old) security configuration for this domain.

  Returns:
    The security value

### getJTA

    public JTAMBean getJTA()

  Return the JTA configuration for this Domain.

  Returns:
    The JTA value

### getWTCServers

    public WTCServerMBean[] getWTCServers()

  Return the WTCServerMBeans for this Domain.

  Returns:
    The WTCServers value

### getLog

    public LogMBean getLog()

  Return the domain logfile configuration for this domain.

  Returns:
    The Log value

### getConsoleLogBufferHandlerCacheSize

    public int getConsoleLogBufferHandlerCacheSize()

  Return the console logfile cache size for this domain.

  Default Value: 500
  Legal Minimum Value: 0
  Legal Maximum Value: 65534
  Returns:
    The number of log records the console LogBufferHandler caches

### setConsoleLogBufferHandlerCacheSize

    public void setConsoleLogBufferHandlerCacheSize(int size)
                                             throws javax.management.InvalidAttributeValueException

  set the console log buffer cache size for this domain.

  Parameters:
    `The` - new number of Log Buffers for the console to cache after next reboot.
  Throws:
    javax.management.InvalidAttributeValueException -

### getSNMPAgent

    public SNMPAgentMBean getSNMPAgent()

  Return the SNMPAgentMBean for this domain. This is a singleton MBean describing SNMP Agent configuration details. This MBean has getters and setters for other SNMP related configuration MBeans.

  Returns:
    The SNMPAgent value

### getRootDirectory

    public java.lang.String getRootDirectory()

  Return the root directory for the domain. In other words for a server process [ServerMBean.getRootDirectory] or [ServerMBean.getDomainDirectory]

  Returns:
    The rootDirectory value

### getDisconnectedManagedServers

    public java.lang.Object[] getDisconnectedManagedServers()

### isConsoleEnabled

    public boolean isConsoleEnabled()

  Indicates whether the WLS console should be auto-deployed for this domain.

  Default Value: true
  Secure Value: false
  Returns:
    The consoleEnabled value

### setConsoleEnabled

    public void setConsoleEnabled(boolean console)

  Sets the consoleEnabled attribute of the DomainMBean object

  Parameters:
    `console` - The new consoleEnabled value

### getConsoleContextPath

    public java.lang.String getConsoleContextPath()

  Specifies the context path for the WLS console.

  Default Value: "console"
  Returns:
    The consoleContextPath value

### setConsoleContextPath

    public void setConsoleContextPath(java.lang.String ctx)

  Sets the consoleContextPath attribute of the DomainMBean object

  Parameters:
    `ctx` - The new consoleContextPath value

### setAutoConfigurationSaveEnabled

    public void setAutoConfigurationSaveEnabled(boolean choice)

  Sets the autoConfigurationSaveEnabled attribute of the DomainMBean object

  Parameters:
    `choice` - The new autoConfigurationSaveEnabled value

### getServers

    public ServerMBean[] getServers()

  Returns the ServerMBeans representing the servers that have been configured to be part of this domain.

  Returns:
    The servers value

### start

    public java.util.HashMap start()

  These operations are used to start and forceShutdown all the servers belonging to the Domain. HashMap contains references to TaskRuntimeMBeans corresponding to each server in the Domain, keyed using the server name.

  Returns:

### kill

    public java.util.HashMap kill()

### setProductionModeEnabled

    public void setProductionModeEnabled(boolean productionModeEnabled)

  Sets the value of the ProductionModeEnabled attribute.

  A dynamic MBean attribute
  Parameters:
    `productionModeEnabled` - The new productionModeEnabled value
  See Also:
    `isProductionModeEnabled()`

### isProductionModeEnabled

    public boolean isProductionModeEnabled()

  Specifies whether all servers in this domain run in production mode. You can configure servers in your domain to start in one of two modes, development or production. You use development mode while you are developing your applications. Development mode uses a relaxed security configuration and enables you to auto-deploy applications. You use production mode when your application is running in its final form. A production domain uses full security and may use clusters or other advanced features. The runtime mode is a domain-wide setting. As each Managed Server starts, it refers to the mode of the Administration Server to determine its runtime mode. If you configure the domain to run in production mode, the Administration Server saves this setting to the domain’s config.xml file.

  A dynamic MBean attribute
  Returns:
    The productionModeEnabled value

### getEmbeddedLDAP

    public weblogic.management.configuration.EmbeddedLDAPMBean getEmbeddedLDAP()

  Returns the embedded LDAP configuration for this domain.

  Returns:
    The embeddedLDAP value

### isAdministrationPortEnabled

    public boolean isAdministrationPortEnabled()

  Indicates whether or not the administration port should be enabled for the domain. This will force all the servers in a domain to have the same view of setting up the server's administration port.

  Default Value: false
  Secure Value: true
  Returns:
    The administrationPortEnabled value
  See Also:
    `getAdministrationPort()`, `ServerMBean.isAdministrationPortEnabled()`, `ServerMBean.getAdministrationPort()`, `KernelMBean.getSSL()`

### setAdministrationPortEnabled

    public void setAdministrationPortEnabled(boolean enable)
                                      throws javax.management.InvalidAttributeValueException

  Sets the administrationPortEnabled attribute of the DomainMBean object

  Parameters:
    `enable` - The new administrationPortEnabled value
  Throws:
    javax.management.InvalidAttributeValueException -

### getAdministrationPort

    public int getAdministrationPort()

  The common secure administration port for the domain. The administration port uses SSL so all the servers require to have SSL if the administration port is enabled in the domain. If administration port is enabled then each server in the same domain should setup a administration port either using the domain's administration port or overriding it by using the server's administration port The managed server will require to use -Dweblogic.management.server=https://admin_server:administration_port to connect to the admin server

  Default Value: 9002
  Legal Minimum Value: 1
  Legal Maximum Value: 65534
  Returns:
    The administrationPort value
  See Also:
    `isAdministrationPortEnabled()`, `ServerMBean.isAdministrationPortEnabled()`, `ServerMBean.getAdministrationPort()`, `KernelMBean.getSSL()`

### setAdministrationPort

    public void setAdministrationPort(int port)
                               throws javax.management.InvalidAttributeValueException

  Sets the administrationPort attribute of the DomainMBean object

  Parameters:
    `port` - The new administrationPort value
  Throws:
    javax.management.InvalidAttributeValueException -

### getArchiveConfigurationCount

    public int getArchiveConfigurationCount()

  Gets the archiveConfigurationCount attribute of the DomainMBean object

  Default Value: 5
  Returns:
    The archiveConfigurationCount value

### setArchiveConfigurationCount

    public void setArchiveConfigurationCount(int count)

  Sets the archiveConfigurationCount attribute of the DomainMBean object

  Parameters:
    `count` - The new archiveConfigurationCount value

### getConfigurationVersion

    public java.lang.String getConfigurationVersion()

  The release identifier for the configuration. This identifier will be used to indicate the version of the configuration. All server generated configurations will be established with the release identifier of the running server. The form of the version is major.minor.servicepack.rollingpatch. Not all parts of the version are required. i.e. "7" is acceptable.

  Default Value: null
  Returns:
    The configurationVersion value

### setConfigurationVersion

    public void setConfigurationVersion(java.lang.String version)

  Sets the configurationVersion attribute of the DomainMBean object

  Parameters:
    `version` - The new configurationVersion value

### isAdministrationMBeanAuditingEnabled

    public boolean isAdministrationMBeanAuditingEnabled()

  Deprecated. Please use `DomainMBean.getConfigurationAuditType()`
  If AdmininstrationMBeanAuditingEnabled is set to true, the server(Admin) records all admin mbean operations to the Server Log. This attribute has been deprecated in favor of ConfigurationAuditType. If values for both attributes are specified, the resultant behavior will be the logical OR condition of the two settings.

  A dynamic MBean attribute
  Default Value: false
  Returns:
    The admininstrationMBeanAuditingEnabled value

### setAdministrationMBeanAuditingEnabled

    public void setAdministrationMBeanAuditingEnabled(boolean choice)

  Deprecated. Please use `DomainMBean.setConfigurationAuditType()`
  Sets the administrationMBeanAuditingEnabled attribute of the DomainMBean object

  Parameters:
    `choice` - The new administrationMBeanAuditingEnabled value

### getConfigurationAuditType

    public java.lang.String getConfigurationAuditType()

  Returns the criteria used for auditing configuration change events :
  - `CONFIG_CHANGE_NONE`. Configuration changes will neither be written to the server log or directed to the Security Audit Framework.
  - `CONFIG_CHANGE_LOG`. Configuration changes will be written to the server log.
  - `CONFIG_CHANGE_AUDIT`.Configuration changes will be directed to the Security Audit Framework.
  - `CONFIG_CHANGE_LOG_AND_AUDIT`. Configuration changes will be written to the server log and directed to the Security Audit Framework.

  A dynamic MBean attribute
  Default Value: CONFIG_CHANGE_NONE
  Returns:
    auditType CONFIG_CHANGE_NONE,CONFIG_CHANGE_LOG,CONFIG_CHANGE_AUDIT,CONFIG_CHANGE_LOG_AND_AUDIT

### setConfigurationAuditType

    public void setConfigurationAuditType(java.lang.String auditType)
                                   throws javax.management.InvalidAttributeValueException

  Sets the criteria for auditing configuration change events :
  - `CONFIG_CHANGE_NONE`. Configuration changes will neither be written to the server log or directed to the Security Audit Framework.
  - `CONFIG_CHANGE_LOG`. Configuration changes will be written to the server log.
  - `CONFIG_CHANGE_AUDIT`.Configuration changes will be directed to the Security Audit Framework.
  - `CONFIG_CHANGE_LOG_AND_AUDIT`. Configuration changes will be written to the server log and directed to the Security Audit Framework.

  Legal Values: CONFIG_CHANGE_NONE,CONFIG_CHANGE_LOG,CONFIG_CHANGE_AUDIT,CONFIG_CHANGE_LOG_AND_AUDIT
  Parameters:
    `auditType` - CONFIG_CHANGE_NONE,CONFIG_CHANGE_LOG,CONFIG_CHANGE_AUDIT,CONFIG_CHANGE_LOG_AND_AUDIT
  Throws:
    javax.management.InvalidAttributeValueException -

### isClusterConstraintsEnabled

    public boolean isClusterConstraintsEnabled()

  Retrieves the attribute indicating whether strict cluster constraints are enforced or not for this domain.

  Default Value: false
  Returns:
    The isClusterConstraints value

### setClusterConstraintsEnabled

    public void setClusterConstraintsEnabled(boolean enableClusterConstraints)

  Sets the attribute indicating if strict cluster constraints need to be enforced on clustered deployments. If this attribute is set to 'true', any cluster that may be a target of a deployment needs to have all its servers be running for the deployment to succeed. Setting the attribute to 'false' will result in the deployment being attempted only on the servers that are reachable at the time of deployment from the Admin server. Any servers that have been shut down or are temporarily partitioned from the Admin server will retrieve the deployment during server startup or shortly after the the network partition is resolved.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD